Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.plugin
Interface PluginAPI

All Known Implementing Classes:
  Merge, Setup, SignatureTest, SigTest

    public interface PluginAPI

Nested Class Summary
`static class` | `PluginAPI.InjectionPoint`

Field Summary
`static PluginAPI.InjectionPoint` | `AFTER_BUILD_MEMBERS`
`static PluginAPI.InjectionPoint` | `AFTER_CLASS_CORRECTOR`
`static PluginAPI.InjectionPoint` | `BEFORE_MESSAGE_SORT`
`static PluginAPI.InjectionPoint` | `BEFORE_TEST`
`static PluginAPI.InjectionPoint` | `BEFORE_WRITE`
`static PluginAPI.InjectionPoint` | `CLASS_CORRECTOR`
`static PluginAPI.InjectionPoint` | `IS_CLASS_ACCESSIBLE`
`static PluginAPI.InjectionPoint` | `ON_CLASS_LOAD`

Method Summary
`void` | `addFormat(Format format, boolean useByDefault)`
`Context` | `getContext()`
`Filter` | `getFilter(PluginAPI.InjectionPoint injectionPoint)`
`Transformer` | `getTransformer(PluginAPI.InjectionPoint injectionPoint)`
`void` | `setClassDescrLoader(ClassDescriptionLoader loader)`
`void` | `setFilter(PluginAPI.InjectionPoint injectionPoint, Filter filter)`
`void` | `setFormat(Format format)`
`void` | `setMessageTransformer(PluginAPI.InjectionPoint where, MessageTransformer messageTransformer)`
`void` | `setTransformer(PluginAPI.InjectionPoint injectionPoint, Transformer transformer)`

Field Detail

### IS_CLASS_ACCESSIBLE

    static final PluginAPI.InjectionPoint IS_CLASS_ACCESSIBLE

### AFTER_BUILD_MEMBERS

    static final PluginAPI.InjectionPoint AFTER_BUILD_MEMBERS

### ON_CLASS_LOAD

    static final PluginAPI.InjectionPoint ON_CLASS_LOAD

### BEFORE_WRITE

    static final PluginAPI.InjectionPoint BEFORE_WRITE

### BEFORE_TEST

    static final PluginAPI.InjectionPoint BEFORE_TEST

### AFTER_CLASS_CORRECTOR

    static final PluginAPI.InjectionPoint AFTER_CLASS_CORRECTOR

### CLASS_CORRECTOR

    static final PluginAPI.InjectionPoint CLASS_CORRECTOR

### BEFORE_MESSAGE_SORT

    static final PluginAPI.InjectionPoint BEFORE_MESSAGE_SORT

Method Detail

### getContext

    Context getContext()

### getFilter

    Filter getFilter(PluginAPI.InjectionPoint injectionPoint)

### setFilter

    void setFilter(PluginAPI.InjectionPoint injectionPoint,
                   Filter filter)

### getTransformer

    Transformer getTransformer(PluginAPI.InjectionPoint injectionPoint)

### setTransformer

    void setTransformer(PluginAPI.InjectionPoint injectionPoint,
                        Transformer transformer)

### addFormat

    void addFormat(Format format,
                   boolean useByDefault)

### setFormat

    void setFormat(Format format)

### setClassDescrLoader

    void setClassDescrLoader(ClassDescriptionLoader loader)

### setMessageTransformer

    void setMessageTransformer(PluginAPI.InjectionPoint where,
                               MessageTransformer messageTransformer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD